Skip to main content

Channels

Channels enable datasets to be categorised or grouped together. A single workspace can have multiple channels.


Objects

Channel

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe channel ID
creatorobjectMemberThe channel creator
workspaceobjectWorkspaceThe channel workspace
createdstringISO 8601 timestampThe channel created at timestamp
lastModifiedstringISO 8601 timestampThe channel last modified timestamp
namestringThe channel name
descriptionstringThe channel description
picturestringURLThe channel picture metadata
{
"id" : "dce463b5-fbb7-45a6-86dd-7d6292c8cc8a",
"name" : "SITChannel",
"workspaceId" : "52990c9d-137b-4e3d-ae73-71681d2c564a",
"creator" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-04-23T13:17:40.872569",
"lastModified" : "2026-04-23T13:17:40.87257",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/scope/workspace"
}
}
}

Requests

Initialise a channel

POST /api/channels/{channel-id}

Initialise a channel.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/channels' -i -X POST \
-H 'Content-Type: application/json' \
-d '{ }'

Response

200 OK

Channel with HAL links.

{
"id" : "5bd8b5dc-16f6-42be-81db-405427b6d245",
"workspaceId" : "52990c9d-137b-4e3d-ae73-71681d2c564a",
"created" : "2026-04-23T13:17:51.767170359",
"lastModified" : "2026-04-23T13:17:51.767170759",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"create channel" : {
"href" : "https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/channels/5bd8b5dc-16f6-42be-81db-405427b6d245"
}
}
}

View a channel

GET /api/channels/{channel-id}

Returns the channel {channel-id}.

Prerequisites

  • Channel {channel-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a' -i -X GET \
-H 'Content-Type: text/plain; charset=ISO-8859-1' \
-d '{}'

Response

200 OK

Channel with HAL links.

{
"id" : "dce463b5-fbb7-45a6-86dd-7d6292c8cc8a",
"name" : "SITChannel",
"workspaceId" : "52990c9d-137b-4e3d-ae73-71681d2c564a",
"creator" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-04-23T13:17:40.872569",
"lastModified" : "2026-04-23T13:17:40.87257",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/scope/workspace"
}
}
}

View a channel in a workspace

GET /api/workspaces/{workspace-id}/channels/{channel-id}

Returns a channel in the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist
  • The user must be a member of the workspace {workspace-id}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a' -i -X GET \
-H 'Content-Type: text/plain; charset=ISO-8859-1' \
-d '{}'

Response

200 OK

Channel with HAL links.

{
"id" : "dce463b5-fbb7-45a6-86dd-7d6292c8cc8a",
"name" : "SITChannel",
"workspaceId" : "52990c9d-137b-4e3d-ae73-71681d2c564a",
"creator" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-04-23T13:17:40.872569",
"lastModified" : "2026-04-23T13:17:40.87257",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/scope/workspace"
}
}
}

View all channels in a workspace

GET /api/workspaces/{workspace-id}/channels/{channel-id}?type={type}&source={source}&containsDataset={datasetId}

Returns all channels in the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist
  • The user must be a member of the workspace {workspace-id}

Query Parameters

ParameterRequiredFormatDefault ValueDescription
typeNostringNoneReturn channels by types: list or source
sourceNostringNoneReturn channels by source: profile or workspace
containsDatasetNostringNoneAdds a containsDataset boolean field to all channels returning if it contains the dataset
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/channels' -i -X GET \
-H 'Content-Type: text/plain; charset=ISO-8859-1' \
-d '{}'

Response

200 OK

Channel collection with HAL links.

{
"_embedded" : {
"channels" : [ {
"id" : "dce463b5-fbb7-45a6-86dd-7d6292c8cc8a",
"name" : "SITChannel",
"workspaceId" : "52990c9d-137b-4e3d-ae73-71681d2c564a",
"creator" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-04-23T13:17:40.872569",
"lastModified" : "2026-04-23T13:17:40.87257",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/scope/workspace"
}
}
}, {
"id" : "80679ab8-c47e-4d9e-ad39-a5c72cb23ebf",
"name" : "SITChannelTwo",
"workspaceId" : "52990c9d-137b-4e3d-ae73-71681d2c564a",
"creator" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-04-23T13:17:40.926122",
"lastModified" : "2026-04-23T13:17:40.926122",
"description" : "SITChannelTwo",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/80679ab8-c47e-4d9e-ad39-a5c72cb23ebf"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/80679ab8-c47e-4d9e-ad39-a5c72cb23ebf/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/80679ab8-c47e-4d9e-ad39-a5c72cb23ebf/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/channels/80679ab8-c47e-4d9e-ad39-a5c72cb23ebf"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/80679ab8-c47e-4d9e-ad39-a5c72cb23ebf"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/80679ab8-c47e-4d9e-ad39-a5c72cb23ebf/scope/workspace"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/channels?page=0&size=10&sort=name,asc"
}
},
"page" : {
"size" : 10,
"totalElements" : 2,
"totalPages" : 1,
"number" : 0
}
}

Create or Update a channel in a workspace

PUT /api/workspaces/{workspace-id}/channels/{channel-id}

Creates or Updates a channel in the workspace {workspace-id}.

This endpoint takes a {channel-id} (UUID) and based on the supplied value and the channels that already exist in the workspace, will update or create a channel accordingly.

Prerequisites

  • Workspace {workspace-id} must exist
  • The user must be a admin in the workspace {workspace-id}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"name" : "SITChannel",
"description" : "SITChannel"
}'

Response

200 OK / 201 Created

Channel with HAL links.

{
"id" : "dce463b5-fbb7-45a6-86dd-7d6292c8cc8a",
"name" : "SITChannel",
"workspaceId" : "52990c9d-137b-4e3d-ae73-71681d2c564a",
"creator" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-04-23T13:17:40.872569279",
"lastModified" : "2026-04-23T13:17:40.872569679",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a/scope/workspace"
}
}
}

Delete a channel

DELETE /api/channels/{channel-id}

Delete a channel.

Prerequisites

  • The user must be a admin of the workspace the channel is in.
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/dce463b5-fbb7-45a6-86dd-7d6292c8cc8a' -i -X DELETE \
-H 'Content-Type: text/plain; charset=ISO-8859-1' \
-d '{}'

Response

204 No Content

No response body provided.


View all channels in your workspace news

GET /api/channels/{channel-id}

Returns all channels in your news for the workspace.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/news/channels' -i -X GET

Response

200 OK

Channels in your workspace news.

{
"_embedded" : {
"channels" : [ {
"id" : "325619bc-d5e2-420c-9d20-7dca5cc19697",
"name" : "SITChannel",
"workspaceId" : "52990c9d-137b-4e3d-ae73-71681d2c564a",
"creator" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"scope" : "WORKSPACE",
"type" : "SOURCE",
"created" : "2026-04-23T13:17:41.360996",
"lastModified" : "2026-04-23T13:17:41.360997",
"description" : "SITChannel",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"search" : {
"href" : "https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/news?q=in:SITChannel"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels"
}
}
}

Add a dataset to a list channel

PUT /api/channels/{channel-id}/datasets/{dataset-id}

Adds a dataset to a channel with type list.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245/datasets/18722f42-079c-4e56-9485-ca92bacdda04' -i -X PUT \
-H 'Content-Type: application/json'

Response

201 Created

No response body provided.


Remove a dataset from a list channel

DELETE /api/channels/{channel-id}/datasets/{dataset-id}

Removes a dataset from a channel with type list.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245/datasets/18722f42-079c-4e56-9485-ca92bacdda04' -i -X DELETE

Response

204 No Content

No response body provided.


Add workspace scope to a channel

PUT /api/channels/{channel-id}/scope/workspace

Add workspace scope to a channel.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245/scope/workspace' -i -X PUT \
-H 'Content-Type: application/json'

Response

200 OK

Channel with HAL links.

{
"id" : "5bd8b5dc-16f6-42be-81db-405427b6d245",
"name" : "mylist",
"workspaceId" : "52990c9d-137b-4e3d-ae73-71681d2c564a",
"creator" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"scope" : "WORKSPACE",
"type" : "LIST",
"created" : "2026-04-23T13:17:51.814749",
"lastModified" : "2026-04-23T13:17:51.81475",
"description" : "mylist channel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/channels/5bd8b5dc-16f6-42be-81db-405427b6d245"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245"
},
"withdraw workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245/scope/profile"
}
}
}

Withdraw workspace scope from a channel

PUT /api/channels/{channel-id}/scope/profile

Withdraw workspace scope from a channel.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245/scope/profile' -i -X PUT \
-H 'Content-Type: application/json'

Response

200 OK

Channel with HAL links.

{
"id" : "5bd8b5dc-16f6-42be-81db-405427b6d245",
"name" : "mylist",
"workspaceId" : "52990c9d-137b-4e3d-ae73-71681d2c564a",
"creator" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "LIST",
"created" : "2026-04-23T13:17:51.814749",
"lastModified" : "2026-04-23T13:17:51.81475",
"description" : "mylist channel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/52990c9d-137b-4e3d-ae73-71681d2c564a/channels/5bd8b5dc-16f6-42be-81db-405427b6d245"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/5bd8b5dc-16f6-42be-81db-405427b6d245/scope/workspace"
}
}
}

See Also